#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'beranda.beranda_pejabat'}
#{/set}

<div class="container">
    <div class="content tab-content">
        <div class="tab-pane active" id="etendering">
            <div class="breadcrumb" style="background-color: #d9534f !important;">&{'beranda.pengadaan_aktif'}</div>
            <table id="tbllelang" class="table table-condensed">
                <thead>
                <tr>
                    <th width="12%">&{'beranda.kode_paket'}</th>
                    <th>&{'beranda.nama_paket'}</th>
                    <th width="200">&{'beranda.tahap_status'}</th>
                    <th width="10">&{'beranda.peserta'}</th>
                </tr>
                </thead>
            </table>
        </div>
    </div>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var view  = #{jsRoute @nonlelang.PengadaanLCtr.view(':id') /};
var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
$(document).ready(function() {
    var table = $("#tbllelang").DataTable({
        ajax: "@{DataTableCtr.PengadaanLPp(ppId)}",
        columns: [null, {render: function(data, type, row) {
        	 	var id = row[0]; 
        		var paket = row[1];

        		var version = getLabelSpseVersion(row[4]);
        		var flag = version.flag;
        		var highlight = version.highlight;
        		var ulang = '';

        		if(Number(row[6]) > 1)
                    ulang = '&nbsp<span class="badge  badge-warning">' + row[7] + '</span>'

        		var label = row[5];
        		row[2] = '<a target="_blank" href="'+viewTahap.url({id:id})+'" >'+row[2]+'</a>';
        		return '<a href="'+view.url({id:id})+'">'+paket +'&nbsp;<span class="badge  badge-info">'+label+'</span>'+' <span class="'+highlight+'">'+flag+'</span></a>'+ulang;
        	}},{orderable:false},{orderable:false}
        ]
    });

    $('#tbllelang_filter input').unbind();
    $('#tbllelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

    $('[name^=panitia]').on('change', function() {
        var panitia_id=$(this).val();
        $.cookie("panitia_id", panitia_id , {expires:365, path:'${request.path}'});
        $('#formFilter').submit();
        table.draw();
    });
} );
</script>
#{/set}